#!/usr/bin/python

##   Quack
##   Copyright (C) 2007 Mads Villadsen <maxximum@krakoa.dk>
    
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation; either version 2 of the License, or
##   (at your option) any later version.
   
##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
   
##   You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
##   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os, sys

try:
    import pynotify # notify-python
except:
    print "pynotify not found"
    sys.exit(1)

try:
    import egg.trayicon
except:
    print "egg.trayicon not found"
    sys.exit(1)

try:
    import pygtk
    pygtk.require ("2.0")
    import gtk, gtk.glade, gnome, gnome.ui, gobject, gnomeapplet
except:
    print "pyGTK 2.0 not found."
    sys.exit(1)


from globals import *
import jaikuapp

sys.path.append("/usr/local/share/" + name + "/")

app = None

def statusicon_activated(widget):
    if (app != None):
        if (app.is_hidden()):
            app.show()
        else:
            app.hide()

if __name__ == "__main__":
    if (not(os.path.exists(basedir))):
        os.mkdir(basedir)

    gnome.init(program_name, program_version)
    # initialize threading
    gtk.gdk.threads_init()

    # initialize notifications
    pynotify.init(program_name)

    p = None
    try:
        p = gtk.gdk.pixbuf_new_from_file_at_size(window_icon_file, 24, 24)
    except:
        p = gtk.gdk.pixbuf_new_from_file_at_size("../pixmaps/" + name + "-icon.png", 24, 24)

    s = gtk.StatusIcon()
    s.set_from_pixbuf(p)
    s.set_tooltip("Quack")
    s.connect('activate', statusicon_activated)
    s.set_visible(True)
    
    app = jaikuapp.JaikuApp(statusicon=s)
    gtk.main()
